Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1417382 - rygel does not install gstreamer presets
Summary: rygel does not install gstreamer presets
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: rygel
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-28 15:06 UTC by Arun Raghavan
Modified: 2017-12-12 10:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:38:21 UTC
Type: Bug


Attachments (Terms of Use)

Description Arun Raghavan 2017-01-28 15:06:31 UTC
Rygel doesn't install GStreamer presets that ship with it, so transcoding fails. The error looks like this (with GST_DEBUG=2 in the environment):

0:00:27.876352908 14895 0x555ac68f5470 WARN                  preset gstpreset.c:289:preset_open_and_parse_header:<lamemp3enc0> Unable to read preset file /usr/share/gstreamer-1.0/presets/GstLameMP3Enc.prs: No such file or directory
0:00:27.876393614 14895 0x555ac68f5470 WARN                  preset gstpreset.c:724:gst_preset_default_load_preset:<lamemp3enc0> no preset named 'Rygel DLNA preset'
0:00:27.876401103 14895 0x555ac68f5470 WARN               encodebin gstencodebin.c:914:_create_element_and_set_preset: Couldn't set preset [Rygel DLNA preset] on element [lamemp3enc]
0:00:27.876417216 14895 0x555ac68f5470 ERROR              encodebin gstencodebin.c:1144:_post_missing_plugin_message:<encodebin> Couldn't create encoder for format audio/mpeg, mpegversion=(int)1, layer=(int)3
0:00:27.876492969 14895 0x555ac68f5470 WARN               encodebin gstencodebin.c:1149:_post_missing_plugin_message:<encodebin> error: Couldn't create encoder for format audio/mpeg, mpegversion=(int)1, layer=(int)3
0:00:27.876590933 14895 0x555ac68f5470 WARN               encodebin gstencodebin.c:1953:create_elements_and_pads: Could not create Streams

(rygel:14895): RygelServer-WARNING **: rygel-http-request.vala:103: Could not create a transcoder configuration. Your GStreamer installation might be missing a plug-in

Comment 1 Peter Robinson 2017-01-31 08:31:19 UTC
The error to me looks more like missing plugins because we can't ship the gstreamer plugins due to legal issues. To quote the logs "Your GStreamer installation might be missing a plug-in" 

What does "rpm -qa|grep gstreamer1" give?

Comment 2 Arun Raghavan 2017-01-31 08:53:37 UTC
I definitely have lamemp3enc. gst-inspect-1.0 lamemp3enc works just fine:

$ gst-inspect-1.0 | grep lame
lame:  lamemp3enc: L.A.M.E. mp3 encoder
twolame:  twolamemp2enc: TwoLAME mp2 encoder

$ rpm -qa|grep gstreamer1
gstreamer1-rtsp-server-devel-1.10.2-1.fc25.x86_64
gstreamer1-plugins-bad-free-fluidsynth-1.10.2-1.fc25.x86_64
gstreamer1-plugins-bad-free-gtk-1.10.2-1.fc25.x86_64
gstreamer1-plugins-base-1.10.2-1.fc25.i686
gstreamer1-plugins-base-debuginfo-1.10.2-1.fc25.x86_64
gstreamer1-plugins-ugly-1.10.2-1.fc25.x86_64
gstreamer1-1.10.2-1.fc25.x86_64
gstreamer1-devel-1.10.2-1.fc25.x86_64
gstreamer1-plugins-base-devel-docs-1.10.2-1.fc25.noarch
gstreamer1-plugins-bad-freeworld-1.10.2-1.fc25.x86_64
gstreamer1-rtsp-server-1.10.2-1.fc25.x86_64
gstreamer1-plugins-bad-free-1.10.2-1.fc25.x86_64
gstreamer1-plugins-base-devel-1.10.2-1.fc25.x86_64
gstreamer1-plugins-good-1.10.2-1.fc25.x86_64
gstreamer1-plugins-ugly-devel-docs-1.10.2-1.fc25.noarch
gstreamer1-plugins-bad-free-debuginfo-1.10.2-1.fc25.x86_64
gstreamer1-1.10.2-1.fc25.i686
gstreamer1-libav-1.10.2-1.fc25.x86_64
python-gstreamer1-1.10.2-1.fc25.x86_64
gstreamer1-plugins-bad-free-devel-1.10.2-1.fc25.x86_64
gstreamer1-plugins-entrans-docs-1.0.3-1.fc25.noarch
gstreamer1-debuginfo-1.10.2-1.fc25.x86_64
libnice-gstreamer1-0.1.13-7.fc25.x86_64
gstreamer1-plugins-base-1.10.2-1.fc25.x86_64
python3-gstreamer1-1.10.2-1.fc25.x86_64
gstreamer1-devel-docs-1.10.2-1.fc25.noarch
gstreamer1-libav-devel-docs-1.10.2-1.fc25.noarch
gstreamer1-plugins-good-debuginfo-1.10.2-1.fc25.x86_64
gstreamer1-plugins-bad-free-extras-1.10.2-1.fc25.x86_64
gstreamer1-plugins-base-tools-1.10.2-1.fc25.x86_64

Comment 3 Fedora End Of Life 2017-11-16 19:24:51 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-12-12 10:38:21 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.